Public endpoint (no API Key required) that returns model metadata in the OpenRouter standard format.
List all models#
Endpoint
GET https://xpluse.plus/v1/modelscURL
curl https://xpluse.plus/v1/modelsPython
import requests
resp = requests.get("https://xpluse.plus/v1/models")
for Models in resp.json()["data"]:
print(Models["id"])Response JSON
{
"object": "list",
"data": [
{
"id": "anthropic/claude-sonnet-4.6",
"object": "model",
"created": 1759104000,
"owned_by": "bedrock",
"canonical_slug": "claude-sonnet-4-5-20250929",
"name": "Claude Sonnet 4.5",
"description": "Anthropic's balanced Models...",
"context_length": 200000,
"architecture": {
"modality": "text+image+file->text",
"input_modalities": ["text", "image", "file"],
"output_modalities": ["text"],
"tokenizer": "claude",
"instruct_type": null
},
"pricing": {
"prompt": "0.000003",
"completion": "0.000015",
"input_cache_read": "0.0000003"
},
"top_provider": {"context_length": 200000, "max_completion_tokens": 16384, "is_moderated": false},
"supported_parameters": ["temperature", "top_p", "max_tokens", "tools", "tool_choice", "response_format", "reasoning"]
}
]
}Filter by provider#
Endpoint
GET https://xpluse.plus/v1/models/{provider}provider accepts values such as anthropic, openai, google, bailian, and volcengine.
cURL
curl https://xpluse.plus/v1/models/anthropicGet model details#
Endpoint
GET https://xpluse.plus/v1/models/{provider}/{model_id}cURL
curl https://xpluse.plus/v1/models/anthropic/claude-sonnet-4.6Returns a single Model object with the same structure as objects in the list endpoint.
Last updated on June 22, 2026